diff --git a/resources/web/flutter_web/flutter_bootstrap.js b/resources/web/flutter_web/flutter_bootstrap.js
index 2fec7b97f3..72c6e2cfb1 100644
--- a/resources/web/flutter_web/flutter_bootstrap.js
+++ b/resources/web/flutter_web/flutter_bootstrap.js
@@ -11,6 +11,6 @@ _flutter.buildConfig = {"engineRevision":"b8800d88be4866db1b15f8b954ab2573bba996
 
 _flutter.loader.load({
   serviceWorkerSettings: {
-    serviceWorkerVersion: "3157657136"
+    serviceWorkerVersion: "1259672894"
   }
 });
diff --git a/resources/web/flutter_web/flutter_service_worker.js b/resources/web/flutter_web/flutter_service_worker.js
index e505d33ee8..1c3df5cb9d 100644
--- a/resources/web/flutter_web/flutter_service_worker.js
+++ b/resources/web/flutter_web/flutter_service_worker.js
@@ -3,33 +3,33 @@ const MANIFEST = 'flutter-app-manifest';
 const TEMP = 'flutter-temp-cache';
 const CACHE_NAME = 'flutter-app-cache';
 
-const RESOURCES = {"flutter_bootstrap.js": "71ac4b5b85bddb6fdb98cd8356c6ddfa",
-"version.json": "808d895cae9401882955eb0f582a0403",
+const RESOURCES = {"flutter_bootstrap.js": "e78ce80780545735dbc338acae2e3024",
+"version.json": "f118256ee04bed0fedce70629e7710f2",
 "index.html": "626847718ec5c240e19799fa3d4aa135",
 "/": "626847718ec5c240e19799fa3d4aa135",
-"main.dart.js": "373c85329ab0536c3543cec4672eaeed",
+"main.dart.js": "83695a23db4b1835e69a7b9d4dd54a90",
 "flutter.js": "f31737fb005cd3a3c6bd9355efd33061",
-"version.changelog": "9590096c9e50df042fdc3575b0b6c55c",
+"version.changelog": "a03bac318dcf942d5fb549658b711600",
 "favicon.png": "be8d1ab28c20907c9869c345d0482962",
 "icons/Icon-192.png": "ab1f25ced1559729e334de938eae91a5",
 "icons/Icon-maskable-192.png": "e41e8489c0f6a822acf8dab362e112b7",
 "icons/Icon-maskable-512.png": "4870fb6720f4fcad016cb582589d136d",
 "icons/Icon-512.png": "343022ac1c56796cb7ff635faf0646ef",
 "manifest.json": "901d86fb8842ec0d66225a542131d689",
-"assets/AssetManifest.json": "c02aa73daf8e9a2b906ee21d959ce1e4",
+"assets/AssetManifest.json": "bb267d0446c3e8611914b4662dd7af09",
 "assets/NOTICES": "d453b0291cf6ccfc5ced86766a1aa652",
 "assets/FontManifest.json": "0dc3d44d47c5e2636cdca4babafb2396",
-"assets/AssetManifest.bin.json": "5735ff58f81401cb83bd84da8208c527",
+"assets/AssetManifest.bin.json": "474c4b747f922c2fac2b5210d54c790b",
 "assets/packages/lava_device_control/assets/files/filament.json": "54d21ade78e6cd6025306530023b094d",
 "assets/packages/cupertino_icons/assets/CupertinoIcons.ttf": "391ff5f9f24097f4f6e4406690a06243",
 "assets/packages/fluttertoast/assets/toastify.js": "56e2c9cedd97f10e7e5f1cebd85d53e3",
 "assets/packages/fluttertoast/assets/toastify.css": "a85675050054f179444bc5ad70ffc635",
 "assets/packages/wakelock_plus/assets/no_sleep.js": "7748a45cd593f33280669b29c2c8919a",
 "assets/shaders/ink_sparkle.frag": "ecc85a2e95f5e9f53123dcaf8cb9b6ce",
-"assets/AssetManifest.bin": "e859f2edad71e24cca9c40b84878deb9",
+"assets/AssetManifest.bin": "a255b021cd52702feb1b15cabf5c39c5",
 "assets/fonts/MaterialIcons-Regular.otf": "aa361df3c4cfa80e7a16cc8899e3c663",
-"assets/assets/i10n/zh-CN.json": "7248514969b4e327a7441ee87a09fd67",
-"assets/assets/i10n/en.json": "20735bec964e2a0563e735fa1db06e73",
+"assets/assets/i10n/zh-CN.json": "0ea4e6108ebd664aa38979d7784eaa76",
+"assets/assets/i10n/en.json": "701e7805b3033193db59ef066a008394",
 "assets/assets/images/deviceNoResponse.webp": "1ca23a7feedfdc34362ea5789ccf895b",
 "assets/assets/images/deviceAuthorized.webp": "8eb814193bed15cec22658018871aba8",
 "assets/assets/images/IpInputGuide.webp": "06c11ce1dadc2910676aec6d40a5eea5",
@@ -42,6 +42,7 @@ const RESOURCES = {"flutter_bootstrap.js": "71ac4b5b85bddb6fdb98cd8356c6ddfa",
 "assets/assets/images/printtaskDefault.png": "2d53add29c1647300def2ec024574307",
 "assets/assets/images/deviceRejected.webp": "cb02f340100006ad22965c215fc6726c",
 "assets/assets/images/ipInputGuideCN.webp": "6ff23fea6ac4212d222500ba1cbbddcf",
+"assets/assets/images/deviceExceptionMessage.webp": "219c10258551fb8196a500d010fe6858",
 "assets/assets/images/3dprinter.png": "4515f02e633d58a1119c2f55114da32b",
 "assets/assets/images/logo.png": "b1a7a2105873616de883cf2662a2bf9c",
 "assets/assets/images/controlDefault.png": "1122ed99c68469d307335e55350c2bff",
diff --git a/resources/web/flutter_web/version.changelog b/resources/web/flutter_web/version.changelog
index 27d89a2bc8..9a88760b15 100644
--- a/resources/web/flutter_web/version.changelog
+++ b/resources/web/flutter_web/version.changelog
@@ -4,3 +4,4 @@
 - 优化绑定和连接体验
 - 修复局域网连接打开监控失败
 - 优化发送文件打印
+- 新增AI检测提醒
diff --git a/src/slic3r/GUI/HttpServer.cpp b/src/slic3r/GUI/HttpServer.cpp
index f2a01268af..55143f29bd 100644
--- a/src/slic3r/GUI/HttpServer.cpp
+++ b/src/slic3r/GUI/HttpServer.cpp
@@ -114,6 +114,9 @@ void session::read_first_line()
             headers.on_read_request_line(line);
             read_next_line();
         } else if (e != boost::asio::error::operation_aborted) {
+            BOOST_LOG_TRIVIAL(error) << "HttpServer read_first_line error: " << e.message();
+            Slic3r::sentryReportLog(Slic3r::SENTRY_LOG_ERROR, 
+                std::string("HttpServer read_first_line failed: ") + e.message(), BP_LOCAL_SERVER);
             server.stop(self);
         }
     });
